## plasma-widget-quickaccess 0.7.4

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(quickaccess)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(quickaccess_SRCS quickaccess.cpp popupdialog.cpp itemview.cpp pluginwidget.cpp effects.cpp button.cpp
		     dirmodel.cpp label.cpp iconmanager.cpp resizedialog.cpp settings.cpp pluginmodel.cpp)

# Now make sure all files get to the right place
kde4_add_ui_files(quickaccess_SRCS quickaccessConfig.ui pluginwidgetbase.ui)
kde4_add_plugin(plasma_applet_quickaccess ${quickaccess_SRCS})
target_link_libraries(plasma_applet_quickaccess
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kfile konq)

install(TARGETS plasma_applet_quickaccess
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-quickaccess.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-widget-quickaccess 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,12 +12,16 @@
    ${KDE4_INCLUDES}
    )
 
+# Add translations
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )
+
 # We add our source code here
 set(quickaccess_SRCS quickaccess.cpp popupdialog.cpp itemview.cpp pluginwidget.cpp effects.cpp button.cpp
 		     dirmodel.cpp label.cpp iconmanager.cpp resizedialog.cpp settings.cpp pluginmodel.cpp)
 
 # Now make sure all files get to the right place
-kde4_add_ui_files(quickaccess_SRCS quickaccessConfig.ui pluginwidgetbase.ui)
+kde4_add_ui_files(quickaccess_SRCS quickaccessGeneralConfig.ui quickaccessAppearanceConfig.ui quickaccessPreviewConfig.ui pluginwidgetbase.ui)
 kde4_add_plugin(plasma_applet_quickaccess ${quickaccess_SRCS})
 target_link_libraries(plasma_applet_quickaccess
                       ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kfile konq)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(gl)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(zh_CN)

=== debian/changelog ===
plasma-widget-quickaccess (0.8.1-0ubuntu9) oneiric; urgency=low

  * No change rebuild for libkonq transition (powerpc was missed before)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jul 2011 20:03:16 -0400

plasma-widget-quickaccess (0.8.1-0ubuntu8) oneiric; urgency=low

  * Fix FTBFS with gcc 4.6.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 31 May 2011 21:47:34 +0200

plasma-widget-quickaccess (0.8.1-0ubuntu7) natty; urgency=low

  * Build against libkonq5-dev (>= 4:4.5.2) for libkonq5 -> libkonq5a
    transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 28 Oct 2010 03:34:59 +0200

plasma-widget-quickaccess (0.8.1-0ubuntu6) maverick; urgency=low

  * Rebuild upload for libkonq5 ABI breakage (LP: #636470)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 16 Sep 2010 14:55:10 -0400

plasma-widget-quickaccess (0.8.1-0ubuntu5) maverick; urgency=low

  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend to 7.3.16 or higher
    - Bump pkg-kde-tools build-depend to 0.5.0 or higher
    - Remove quilt build-dependency
  * Transition from cdbs to the kde dh sequence from pkg-kde-tools

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:50:53 -0400

plasma-widget-quickaccess (0.8.1-0ubuntu4) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 01:01:17 +0100

plasma-widget-quickaccess (0.8.1-0ubuntu3) karmic; urgency=low

  * Add missing debhelper.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 22:03:41 +0100

plasma-widget-quickaccess (0.8.1-0ubuntu2) karmic; urgency=low

  * Use kde.mk from pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 18:10:28 +0100

plasma-widget-quickaccess (0.8.1-0ubuntu1) karmic; urgency=low

  * New upstream bugfix release (LP: #):
    - debian/control:
      + libplasma-dev -> kdelibs5-dev
      + remove now-unnecessary cmake build-dep
      + build-depend on pkg-kde-tools
    - debian/rules:
      + switch from kde4.mk to debian-qt-kde.mk

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 27 May 2009 18:43:36 -0400

plasma-widget-quickaccess (0.8-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #368657)
    + Fixes initial sizing when placed on the desktop (LP: #361154)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 24 Apr 2009 11:23:35 -0400

plasma-widget-quickaccess (0.7.4-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release, extracts messages from .ui files for
    translation (LP: #359060)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 10 Apr 2009 09:12:28 -0400

plasma-widget-quickaccess (0.7.3-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #356353)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Apr 2009 11:14:22 -0400

plasma-widget-quickaccess (0.7.2-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #352516):
    - Drop all patches, merged upstream
    - Remove quilt build-dep, no more patches
    - Update homepage in debian/control
  * Update maintainer info
  * Bump Standards-Version to 3.8.0.1, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 31 Mar 2009 12:20:51 -0400

plasma-widget-quickaccess (0.7.1-0ubuntu8) jaunty; urgency=low

  * Add kubuntu_03_fix_open_crash.diff to check whether the URL is null or not
    before opening it (LP: #281138)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 23 Mar 2009 10:29:09 -0400

plasma-widget-quickaccess (0.7.1-0ubuntu7) jaunty; urgency=low

  * Rename plasmoid-* to plasma-widget-* to match upstream naming policy
    - Conflicts/replaces plasmoid-quickaccess
    - Add transitional package
    - Adjust package description

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Feb 2009 23:31:03 -0500

plasmoid-quickaccess (0.7.1-0ubuntu6) jaunty; urgency=low

  * Rebuild upload (LP: #321691)
    - Add a build-depend version of (>= 4.2.0) to libplasma-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 26 Jan 2009 19:28:57 -0500

plasmoid-quickaccess (0.7.1-0ubuntu5) jaunty; urgency=low

  * Rebuild against new libplasma-dev
  * Remove debian/cdbs build system
  * use kde4.mk in rules

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 15 Jan 2009 01:10:27 -0500

plasmoid-quickaccess (0.7.1-0ubuntu4) jaunty; urgency=low

  * Add kubuntu_02_change_cmakelists_for_42.diff to fix building with KDE
    4.2 rc1 (a.k.a. 4.1.96)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Jan 2009 19:54:22 +0100

plasmoid-quickaccess (0.7.1-0ubuntu3) jaunty; urgency=low

  * Rebuild upload (no changes)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Jan 2009 19:00:43 +0100

plasmoid-quickaccess (0.7.1-0ubuntu2) jaunty; urgency=low

  * Add kubuntu_01_port_to_kde_4.2_api.diff found on kde-look to make quickaccess build 
    in KDE 4.2

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 17 Dec 2008 21:24:33 -0500

plasmoid-quickaccess (0.7.1-0ubuntu1) intrepid; urgency=low

  * New upstream release. (LP: #254998)

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Tue, 05 Aug 2008 10:37:04 -0400

plasmoid-quickaccess (0.7-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #254306)

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Sat, 02 Aug 2008 18:49:30 -0400

plasmoid-quickaccess (0.6.1-0ubuntu1) intrepid; urgency=low

  * Initial release. (LP: #248276)

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Sun, 13 Jul 2008 21:44:13 -0500

=== debian/control ===
Source: plasma-widget-quickaccess
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.5), libkonq5-dev (>= 4:4.5.2)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/QuickAccess+%28maintenance+fork%29?content=101968

Package: plasma-widget-quickaccess
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An alternate folder display plasma widget
 This is a small widget designed for usage in the panel to provide quick 
 access to the most commonly-used folders. This makes it nice for quick
 file browsing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@
